[arch-commits] Commit in ltrace/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 23:07:57 EDT 2009


    Date: Thursday, April 9, 2009 @ 23:07:57
  Author: eric
Revision: 34543

Fixed svn conflict

Modified:
  ltrace/repos/extra-x86_64/	(properties)
  ltrace/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   29 +++++++++++------------------
 1 file changed, 11 insertions(+), 18 deletions(-)


Property changes on: ltrace/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ltrace/trunk:1
   + /ltrace/trunk:1-34542

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-10 03:05:51 UTC (rev 34542)
+++ extra-x86_64/PKGBUILD	2009-04-10 03:07:57 UTC (rev 34543)
@@ -3,27 +3,20 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=ltrace
-pkgver=0.3.36
+pkgver=0.5.1
 pkgrel=1
 pkgdesc="ltrace is a debugging program which runs a specified command until it exits"
+arch=('i686' 'x86_64')
+url="http://packages.debian.org/squeeze/ltrace"
+license=('GPL')
 depends=('glibc' 'libelf')
-url="http://packages.debian.org/unstable/utils/ltrace.html"
+backup=('etc/ltrace.conf')
 source=(http://ftp.debian.org/debian/pool/main/l/ltrace/${pkgname}_${pkgver}.orig.tar.gz)
-[ "$CARCH" = "x86_64" ] && source=(${source[@]} 'ftp://ftp.debian.org/debian/pool/main/l/ltrace/ltrace_0.3.36-2.diff.gz')
-md5sums=('674c9a7ddbe2a4ec10564dbb09b2261a')
-[ "$CARCH" = "x86_64" ] && md5sums=(${md5sums[@]} '903baa193aac766769b15207ee21c43c')
+md5sums=('7dae92a19979e65bbf8ec50c0ed54d9a')
 
-build()
-{
-	cd $startdir/src/$pkgname-$pkgver
-
-        #Arch64 fix
-     if [ "$CARCH" == "x86_64" ]; then
-        patch -Np0 -i ../ltrace_0.3.36-2.diff || return 1
-        sed -i -e "s:doc/ltrace:doc/ltrace-${pkgver}:g" Makefile.in
-     fi
-
-	./configure --prefix=/usr --sysconfdir=/etc
-	make || return 1
-	make DESTDIR=$startdir/pkg install
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list